Skip to main content
PATCH
Update a Limit

Authorizations

X-API-Key
string
header
required

API Key authentication. Used by single-tenant deployments (MULTI_TENANT_ENABLED=false). Sent on every /v1/* request.

Headers

Content-Type
string
required

The type of media of the resource. Must be application/json.

X-API-Key
string
required

The API Key for authentication. This header is required for all endpoints except health checks.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

id
string<uuid>
required

The unique identifier of the limit that you want to retrieve, update or delete.

Body

application/json

Input for updating a limit. At least one field must be provided. limitType and currency are immutable.

name
string
Required string length: 1 - 255
description
string
Maximum string length: 1000
maxAmount
string

New maximum decimal amount.

Pattern: ^(?:[1-9]\d*(?:\.\d{1,2})?|0\.(?:0[1-9]|[1-9]\d))$
Example:

"1000.00"

scopes
object[]
Required array length: 1 - 100 elements
activeTimeStart
string

Updated start of the daily active time window in HH:mm format.

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
Example:

"09:00"

activeTimeEnd
string

Updated end of the daily active time window in HH:mm format.

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
Example:

"17:00"

customStartDate
string<date-time>

Updated start date for CUSTOM limits.

customEndDate
string<date-time>

Updated end date for CUSTOM limits.

Response

Indicates that the limit was successfully updated.

Spending limit.

limitId
string<uuid>

Unique identifier for the limit.

name
string

Human-readable limit name.

Maximum string length: 255
description
string

Limit purpose and usage explanation.

Maximum string length: 1000
limitType
enum<string>

Type of limit (immutable after creation).

Available options:
DAILY,
WEEKLY,
MONTHLY,
CUSTOM,
PER_TRANSACTION
maxAmount
string

Maximum decimal amount.

Pattern: ^(?:[1-9]\d*(?:\.\d{1,2})?|0\.(?:0[1-9]|[1-9]\d))$
Example:

"1000.00"

currency
string

ISO 4217 currency code (immutable after creation).

Required string length: 3
scopes
object[]

Scopes that determine which transactions this limit applies to.

status
enum<string>

Limit lifecycle status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
activeTimeStart
string

Start of the daily active time window in HH:mm format. Omitted when the limit is active all day.

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
Example:

"09:00"

activeTimeEnd
string

End of the daily active time window in HH:mm format. Omitted when the limit is active all day.

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
Example:

"17:00"

customStartDate
string<date-time>

Start date for CUSTOM limits.

customEndDate
string<date-time>

End date for CUSTOM limits.

resetAt
string<date-time> | null

When the limit counter resets. Null for PER_TRANSACTION limits.

createdAt
string<date-time>

When the limit was created.

updatedAt
string<date-time>

When the limit was last modified.

deletedAt
string<date-time> | null

When the limit was deleted (null if not deleted).